## org.eclipse.jst.jsf.core.jsflibraryconfiguration
Interface JSFLibraryReferencePluginProvided

All Superinterfaces:
  JSFLibraryReference, JSFLibraryReferenceUserDefined, JSFLibraryReferenceUserSpecified

Deprecated.

    public interface JSFLibraryReferencePluginProvided

extends JSFLibraryReferenceUserSpecified, JSFLibraryReferenceUserDefined

A reference to a plugin-defined JSF Library

Provisional API - subject to change

Method Summary
`java.lang.String` `getPluginId()` Deprecated.

Methods inherited from interface org.eclipse.jst.jsf.core.jsflibraryconfiguration.JSFLibraryReference
`getId, getJars, getLabel, getMaxSupportedVersion, getName, isDeployed, isJSFImplementation`

Method Detail

### getPluginId

    java.lang.String getPluginId()

  Deprecated.
  Returns:
    plugin id. May return null if plugin id cannot be determined.